/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
}

.dark-style .menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo svg {
  width: 30px;
  height: 24px;
}

.app-brand-text.demo {
  font-size: 1.25rem;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks>* {
  display: block !important;
}

.demo-inline-spacing>* {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing>* {
  margin-top: 1.25rem !important;
  margin-bottom: 0 !important;
}

.demo-vertical-spacing.demo-only-element> :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg>* {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}

.demo-vertical-spacing-lg.demo-only-element> :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl>* {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}

.demo-vertical-spacing-xl.demo-only-element> :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 300px;
    position: relative;
  }

  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1.25rem;
}

.layout-demo-placeholder img {
  width: 900px;
}

.layout-demo-info {
  text-align: center;
  margin-top: 1.25rem;
}

.indexicons a {
  padding: 5px;
}

button.btn.btn-danger.waves-effect.waves-light {
  padding: 5px;
}

.indexicons a:hover svg,
.indexicons form button:hover svg {
  background-color: #e0e0e0;
  border-radius: 4px;
}

.breadcrumbcotainer {
  padding-left: 2.3%;
}

.breadcrumb a {
  text-decoration: none;
  color: #6c757d;
}

.breadcrumb a:hover {
  color: #9055fd;
}

.breadcrumb-item+.breadcrumb-item::before {
  color: #6c757d;
}

a.indexiconsanchor {
  padding: 8px 5px;
}

.custom-tooltip {
  background-color: rgb(255, 255, 255);
  color: black;
  padding: 5px 6px;
  border-radius: 8px;
  font-size: 1rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
}

.custom-tooltip .tooltip-inner {
  background-color: white;
  color: rgb(92, 91, 91);
  border: none;
}

.custom-tooltip .tooltip-arrow {
  display: none;
}

.indexiconsanchor {
  display: inline-block;
  transition: transform 0.2s, color 0.2s;
  border-radius: 2%;

}

.indexiconsanchor:hover {
  transform: scale(1.1);
}

.indexicons {
  position: relative;
  display: flex;
  align-items: center;
}

.password_icon {
  position: absolute;
  right: 18px;
  top: 11px;
  display: flex;
  cursor: pointer;
}

.password_icon:not(.password_show) .password_showIcon {
  display: none;
}

.password_icon.password_show .password_hideIcon {
  display: none;
}


/* *** loader css start ****  */
.loader-wrapper {
  background: rgba(0, 0, 0, 0.90);
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  height: 100%;
  width: 100%;
  z-index: 9999;
  top: 0;
  left: 0;
}

.loader {
  position: relative;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background-color: #fff;
  box-shadow: 0 0 6px 2px rgba(0, 0, 0, 0.1);
}

.loader:before {
  content: "";
  width: 100px;
  height: 100px;
  border: 5px solid rgba(0, 0, 0, 0.05);
  border-top-color: var(--secondary-color);
  border-radius: 50%;
  animation: spin 1.5s infinite linear;
  display: block;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@-webkit-keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.loader img {
  width: 60%;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

/* *** loader css end  ****  */

.iti__country-list {
  z-index: 999 !important;
}

/* Hide spinners for this specific input */
#phone::-webkit-outer-spin-button,
#phone::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#phone {
  -moz-appearance: textfield;
  /* Firefox */
  appearance: none;
  -webkit-appearance: none;
}

.discount-input {
  display: flex;
  gap: 20px;
}

.prevBtn {
  color: #fff;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  background: #6a6666;
  border: none;
  padding: 8px 10px;
  border-radius: 6px;
}


/* 17-feb-2026 */
.order_infoBlock {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}

.order_infoBlock .order_statusItems {
  overflow: hidden;
  width: 100%;
}

.order_statuslisting {
  list-style: none;
  padding-left: 0;
  position: relative;
  margin-bottom: 0;
  display: flex;
  overflow-y: auto;
}

.order_statuslisting li {
  position: relative;
}

.btn-group,
.btn-group-vertical {
  position: relative;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  vertical-align: middle;
}

.order_statuslisting li.active::before {
  background-color: #ACEC53;
}

.order_statuslisting li::before {
  content: '';
  position: absolute;
  top: 12px;
  left: 0;
  height: 1px;
  width: 100%;
  background-color: #E2E2E2;
}

.order-label {
  color: #151515;
  font-size: 14px;
  font-weight: 500;
  display: block;
  padding-top: 30px;
  padding-right: 100px;
  white-space: nowrap;
}

.order_statuslisting li.active::after {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M12.6628 3.08748C12.8906 3.31529 12.8906 3.68463 12.6628 3.91244L5.6628 10.9124C5.435 11.1402 5.06565 11.1402 4.83785 10.9124L1.33785 7.41244C1.11004 7.18463 1.11004 6.81529 1.33785 6.58748C1.56565 6.35967 1.935 6.35967 2.1628 6.58748L5.25033 9.675L11.8378 3.08748C12.0657 2.85967 12.435 2.85967 12.6628 3.08748Z' fill='%231E1E1E'/%3E%3C/svg%3E");
  outline-color: rgba(172, 236, 83, 0.25);
  background-color: #ACEC53;
}

.order_statuslisting li::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 24px;
  height: 24px;
  color: #fff;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  background-color: #E2E2E2;
  outline: 2px solid rgba(226, 226, 226, 0.25);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14' height='14' viewBox='0 0 14 14' fill='none'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M12.6628 3.08748C12.8906 3.31529 12.8906 3.68463 12.6628 3.91244L5.6628 10.9124C5.435 11.1402 5.06565 11.1402 4.83785 10.9124L1.33785 7.41244C1.11004 7.18463 1.11004 6.81529 1.33785 6.58748C1.56565 6.35967 1.935 6.35967 2.1628 6.58748L5.25033 9.675L11.8378 3.08748C12.0657 2.85967 12.435 2.85967 12.6628 3.08748Z' fill='white'/%3E%3C/svg%3E");
  background-repeat: no-repeat no-repeat;
  background-position: center center;
  background-size: 15px;
}

.text-danger {
  color: #F64E60 !important;
}

.order_statuslisting li:last-child::before {
  display: none;
}

.order_infoBlock .btn.btn-primary,
.order_infoBlock .btn.btn-danger {
  height: 32px;
  white-space: nowrap;
}

.btn-group>.btn:not(:last-child):not(.dropdown-toggle),
.btn-group>.btn-group:not(:last-child)>.btn {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.orderUserImg {
  width: 83px;
  height: 83px;
  flex: 0 0 83px;
}

.orderUserImg img {
  height: 100%;
}

.order_userDlt {
  flex: auto;
}

.order_proName {
  color: #151515;
  font-size: 14px;
  font-weight: 500;
  margin: 0 0 4px;
  line-height: normal;
}

.product_info {
  color: rgba(255, 255, 255, 0.50);
  font-size: 18px;
  font-weight: 500;
  line-height: normal;
  display: block;
  margin-bottom: 10px;
}

.valueTextPrice {
  color: #151515;
  font-size: 14px;
  font-weight: 700;
  margin-top: 2px;
}

.border-top {
  border-top: 1px solid #EBEBEB;
  margin-top: 24px;
  padding-top: 24px;
}

.order_title {
  color: #000;
  font-size: 16px;
  font-weight: 500;
  line-height: normal;
  margin-bottom: 18px;
}

ul.cancel_reasonItems {
  padding: 0;
}

.cancel_reasonItems li {
  display: flex;
  gap: 12px;
  margin-bottom: 24px;
}

.custom-checkbox {
  display: flex;
  gap: 10px;
}

.custom-checkbox input[type="checkbox"],
.custom-checkbox input[type="radio"] {
  height: 20px;
  width: 20px;
  min-width: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0;
  padding: 0;
  opacity: 1;
  appearance: none;
  border: 0;
  border-radius: 50px;
  background: #E2E2E2;
  position: relative;
  cursor: pointer;
}

.custom-checkbox input {
  width: 17px;
  height: 17px;
}

.custom-checkbox input[type="checkbox"]::before,
.custom-checkbox input[type="radio"]::before {
  content: "";
  height: 20px;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 20px;
  line-height: normal;
  background-image: url("data:image/svg+xml,%3Csvg fill='%23fff' version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='24' height='24' viewBox='0 0 78.369 78.369' xml:space='preserve'%3E%3Cg%3E%3Cpath d='M78.049,19.015L29.458,67.606c-0.428,0.428-1.121,0.428-1.548,0L0.32,40.015c-0.427-0.426-0.427-1.119,0-1.547l6.704-6.704 c0.428-0.427,1.121-0.427,1.548,0l20.113,20.112l41.113-41.113c0.429-0.427,1.12-0.427,1.548,0l6.703,6.704 C78.477,17.894,78.477,18.586,78.049,19.015z'/%3E%3C/g%3E%3C/svg%3E");
  background-repeat: no-repeat no-repeat;
  background-position: center center;
  background-size: 10px;
}

.order_text {
  color: #7A7A7D;
  font-size: 15px;
  font-weight: 400;
  margin-bottom: 0;
}

.pro_size span {
  color: #3E3E40;
}

.product_info span {
  color: #7A7A7D;
  font-size: 13px;
  font-weight: 400;
  display: block;
  margin-bottom: 2px;
}

.product_info span {
  color: #7A7A7D;
  font-size: 13px;
  font-weight: 400;
  display: block;
  margin-bottom: 2px;
}

.custom-checkbox input[type="checkbox"]:checked::before,
.custom-checkbox input[type="radio"]:checked::before {
  background-image: url("data:image/svg+xml,%3Csvg fill='%23000000' version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' width='24' height='24' viewBox='0 0 78.369 78.369' xml:space='preserve'%3E%3Cg%3E%3Cpath d='M78.049,19.015L29.458,67.606c-0.428,0.428-1.121,0.428-1.548,0L0.32,40.015c-0.427-0.426-0.427-1.119,0-1.547l6.704-6.704 c0.428-0.427,1.121-0.427,1.548,0l20.113,20.112l41.113-41.113c0.429-0.427,1.12-0.427,1.548,0l6.703,6.704 C78.477,17.894,78.477,18.586,78.049,19.015z'/%3E%3C/g%3E%3C/svg%3E");
}

.custom-checkbox input[type="checkbox"]:checked,
.custom-checkbox input[type="radio"]:checked {
  background: #ACEC53 !important;
}

.closeBtn {
  background: none;
  width: 40px;
  height: 40px;
  border-radius: 25px;
  font-size: 16px;
}

/* 19 feb 2026 */
/* 03-july-2025 */

.card.card-custom {
  -webkit-box-shadow: 0px 0px 30px 0px rgba(82, 63, 105, 0.05);
  box-shadow: 0px 0px 30px 0px rgba(82, 63, 105, 0.05);
  border: 0;
  /* overflow: hidden; */
}

.card.card-custom>.card-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  min-height: 70px;
  padding-top: 0;
  padding-bottom: 0;
  background-color: transparent;
}

.card.card-custom>.card-header .card-title {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 0.5rem;
  margin-left: 0;
}

.card.card-custom>.card-header .card-title .card-icon {
  margin-right: 0.75rem;
  line-height: 0;
}

.card.card-custom>.card-header .card-title .card-icon i {
  font-size: 1.25rem;
  color: #7E8299;
  line-height: 0;
}

.card.card-custom>.card-header .card-title .card-icon i:after,
.card.card-custom>.card-header .card-title .card-icon i:before {
  line-height: 0;
}

.card.card-custom>.card-header .card-title .card-icon .svg-icon svg {
  height: 24px;
  width: 24px;
}

.card.card-custom>.card-header .card-title .card-icon .svg-icon svg g [fill] {
  -webkit-transition: fill 0.3s ease;
  transition: fill 0.3s ease;
  fill: #7E8299;
}

.card.card-custom>.card-header .card-title .card-icon .svg-icon svg:hover g [fill] {
  -webkit-transition: fill 0.3s ease;
  transition: fill 0.3s ease;
}

.card.card-custom>.card-header .card-title,
.card.card-custom>.card-header .card-title .card-label {
  font-weight: 500;
  font-size: 1.275rem;
  color: #181C32;
}

.card.card-custom>.card-header .card-title .card-label {
  margin: 0 0.75rem 0 0;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.card.card-custom>.card-header .card-title small {
  color: #B5B5C3;
  font-size: 1rem;
}

.card.card-custom>.card-header .card-toolbar {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin: 0.5rem 0;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.card.card-custom>.card-header.card-header-tabs-line {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
}

.card.card-custom>.card-header.card-header-tabs-line .card-toolbar {
  margin: 0;
}

.card.card-custom>.card-header.card-header-tabs-line .nav {
  border-bottom-color: transparent;
}

.card.card-custom>.card-header.card-header-tabs-line .nav .nav-item {
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
}

.card.card-custom>.card-header.card-header-tabs-line .nav .nav-link {
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.card.card-custom>.card-header.card-header-right {
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}

.card.card-custom>.card-body {
  padding: 2rem 2.25rem;
}

.card.card-custom>.card-footer {
  background-color: transparent;
}

.card.card-custom.card-stretch {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: stretch !important;
  -ms-flex-align: stretch !important;
  align-items: stretch !important;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  height: 100%;
}

.card.card-custom.card-stretch.gutter-b {
  height: calc(100% - 25px);
}

.card.card-custom.card-stretch.card-stretch-half {
  height: 50%;
}

.card.card-custom.card-stretch.card-stretch-half.gutter-b {
  height: calc(50% - 25px);
}

.card.card-custom.card-stretch.card-stretch-third {
  height: 33.33%;
}

.card.card-custom.card-stretch.card-stretch-third.gutter-b {
  height: calc(33.33% - 25px);
}

.card.card-custom.card-stretch.card-stretch-fourth {
  height: 25%;
}

.card.card-custom.card-stretch.card-stretch-fourth.gutter-b {
  height: calc(25% - 25px);
}

.card.card-custom.card-fit>.card-header {
  border-bottom: 0;
}

.card.card-custom.card-fit>.card-footer {
  border-top: 0;
}

.card.card-custom.card-space {
  padding-left: 2.25rem;
  padding-right: 2.25rem;
}

.card.card-custom.card-space>.card-header {
  padding-left: 0;
  padding-right: 0;
}

.card.card-custom.card-space>form>.card-body,
.card.card-custom.card-space>.card-body {
  padding-left: 0;
  padding-right: 0;
}

.card.card-custom.card-space>form>.card-footer,
.card.card-custom.card-space>.card-footer {
  padding-left: 0;
  padding-right: 0;
}

.card.card-custom.card-sticky>.card-header {
  -webkit-transition: left 0.3s, right 0.3s, height 0.3s;
  transition: left 0.3s, right 0.3s, height 0.3s;
  min-height: 70px;
}

.card-sticky-on .card.card-custom.card-sticky>.card-header {
  -webkit-transition: left 0.3s, right 0.3s, height 0.3s;
  transition: left 0.3s, right 0.3s, height 0.3s;
  position: fixed;
  -webkit-box-shadow: 0px 1px 15px 1px rgba(69, 65, 78, 0.1);
  box-shadow: 0px 1px 15px 1px rgba(69, 65, 78, 0.1);
  z-index: 101;
  background: #ffffff;
}

.card.card-custom.card-transparent {
  background-color: transparent;
}

.card.card-custom.card-shadowless {
  -webkit-box-shadow: none;
  box-shadow: none;
}

.card.card-custom.card-border {
  -webkit-box-shadow: none;
  box-shadow: none;
  border: 1px solid #EBEDF3;
}

.card.card-custom .card-scroll {
  position: relative;
  overflow: auto;
}

.card.card-custom.card-collapsed>form,
.card.card-custom.card-collapsed>.card-body {
  display: none;
}

.card.card-custom .card-header .card-toolbar [data-card-tool="toggle"] i {
  -webkit-transition: all 0.15s ease;
  transition: all 0.15s ease;
}

.card.card-custom.card-collapsed .card-header .card-toolbar [data-card-tool="toggle"] i,
.card.card-custom.card-collapse .card-header .card-toolbar [data-card-tool="toggle"] i {
  -webkit-transition: all 0.15s ease;
  transition: all 0.15s ease;
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}

@media (max-width: 767.98px) {
  .card.card-custom>.card-header:not(.flex-nowrap) {
    min-height: 0;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }
}

.card.card-custom.price-overflow {
  overflow: hidden;
}

.chart-gauge svg {
  width: 100%;
  height: 230px;
}

text#scale10 {
  color: #181C32;
  font-weight: 600;
  font-size: 1.275rem;
}

.chart-gauge {
  max-width: 400px;
  margin: 0 auto;
}

.chart-gauge svg g {
  transform: translate(50%, 200px);
}

.chart-gauge text#scale10 {
  transform: translate(190px, 20px);
}

.chart-first {
  fill: #41b8d5;
}

.needle,
.needle-center {
  fill: #c0514e;
}